In order to run this app,

Frontend
1. npm install 
This will install all the mentioned libraries from npm registry.
2. npm run dev
This will run app

Backend
1. npm install
This will install all the mentioned libraries from npm registry.
2. npm run dev
This will run app

Anything let me know via "vivek.yes002@gmail.com"